org.apache.lucene.codecs.lucene87

## Class LZ4WithPresetDictCompressionMode

- java.lang.Object
- - org.apache.lucene.codecs.compressing.CompressionMode
  - - org.apache.lucene.codecs.lucene87.LZ4WithPresetDictCompressionMode

    public final class LZ4WithPresetDictCompressionMode
    extends CompressionMode

A compression mode that compromises on the compression ratio to provide fast compression and decompression.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Field Summary

### Fields inherited from class org.apache.lucene.codecs.compressing.CompressionMode

`FAST, FAST_DECOMPRESSION, HIGH_COMPRESSION`

### Constructor Summary

Constructors
Constructor and Description
`LZ4WithPresetDictCompressionMode()` Sole constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Compressor` `newCompressor()` Create a new `Compressor` instance.
`Decompressor` `newDecompressor()` Create a new `Decompressor` instance.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LZ4WithPresetDictCompressionMode

    public LZ4WithPresetDictCompressionMode()

Sole constructor.

### Method Detail

#### newCompressor

    public Compressor newCompressor()

Description copied from class: `CompressionMode`
Create a new `Compressor` instance.

Specified by:
  `newCompressor` in class `CompressionMode`

#### newDecompressor

    public Decompressor newDecompressor()

Description copied from class: `CompressionMode`
Create a new `Decompressor` instance.

Specified by:
  `newDecompressor` in class `CompressionMode`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`